Arch Barra de Refuerzo

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar and the translation is 39% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎українська

Arch Rebar.svg Arch Rebar

Ubicación en el Menú
Arch → Rebar
Entornos de trabajo
Arch
Atajo de teclado por defecto
R B
Introducido en versión
-
Ver también
Arch Structure


Arch Rebar.svg Arch Rebar

Menu location
Arch → Rebar
Workbenches
Arch
Default shortcut
R B
Introduced in version
-
See also
Arch Structure, Reinforcement Addon


Descripción

La herramienta Rebar le permite colocar reinforcing bars dentro de los objetos Arch Structure. Los objetos de barra de refuerzo se basan en perfiles 2D como sketches o draft objects, que deben dibujarse en una cara de un objeto de estructura. A continuación, puede ajustar la configuración de las barras de refuerzo, como el número y el diámetro de las barras, o la distancia de desplazamiento entre los dos extremos del elemento estructural.

Rebar objects are based on 2D profiles such as Draft objects and Sketches, that must be drawn on a face of the structural object. After creation you can adjust the properties of the rebar, including the number and diameter of the bars, and the offset distance between them and the faces of the structural element.

Arch Rebar example.jpg

La imagen de arriba muestra un objeto estructural, donde se dibujan dos bocetos, que definen dos diagramas de barras. Estos dos bocetos se convierten en objetos de barras de refuerzo.

Extensión disponible

La herramienta Rebar se ha mejorado mucho durante la edición 2017 de Google Summer of Code. El resultado de ese trabajo es una serie de nuevos preajustes y asistentes para los tipos de varillas corrugadas más comunes. Se empaquetan en un módulo independiente denominado Refuerzo, que puede instalar a través del menú Herramientas -> Administrador de Addons. Una vez que se instala el Addon Reinforcement, en la próxima ejecución, FreeCAD lo detectará y agregará una serie de nuevas herramientas bajo el botón Rebar en la barra de herramientas y el menú de Arch. Las diferentes herramientas del addon de refuerzo se describen en la página Arch Workbench.

Como utilizar

  1. Crear un elemento structure
  2. Cambiar a Sketcher Workbench
  3. Seleccione una cara del elemento estructural
  4. Presione el botón Sketcher NewSketch.png New Sketch para comenzar un nuevo boceto en la cara seleccionada
  5. Dibuja el diagrama de tu barra
  6. Presione el botón Sketcher LeaveSketch.png Leave Sketch para finalizar
  7. Vuelve al Arch Workbench
  8. Seleccione el boceto que acaba de dibujar
  9. Presione el botón Arch Rebar.png Arch Rebar, o presione R luego la tecla B
  10. Ajuste las propiedades deseadas (es posible que su barra de refuerzo no aparezca inmediatamente, si algunas de las propiedades crean una situación imposible, como que el diámetro de la barra sea 0 o que las distancias de compensación sean mayores que la longitud del elemento estructural)

Although normally a rebar is used inside an Arch Structure, since FreeCAD 0.19 the rebar can be created outside of any host object. To host a rebar inside an object, you just need to set its DATAHost.

Opciones

  • Las barras de refuerzo comparten las propiedades y los comportamientos comunes de todos Arch Components
  • El valor de redondeo se expresa en veces el diámetro. Si su barra tiene un diámetro de 5 mm, un valor de redondeo de 3 creará redondeo en ángulos con un radio de 15 mm.
  • Los valores predeterminados para nuevas barras de refuerzo se pueden configurar en la configuración de preferencias de Arch.
  • Si no se especifica un vector de dirección, la dirección y la distancia a lo largo de las cuales se extenderán las barras se calcula automáticamente desde el objeto estructural del anfitrión, tomando la dirección normal del boceto base y tomando su intersección con el objeto estructural. Si especifica un vector de dirección, también se tendrá en cuenta la longitud de ese vector.
  • El valor de espaciado se calcula a partir de la cantidad actual de barras, y representa la distancia entre los ejes de cada barra. Por lo tanto, debe restar el diámetro de la barra para obtener el tamaño del espacio libre entre barras.

Propiedades

  • DATOSAmount: La cantidad de barras.
  • DATOSDiameter: El diámetro de las barras.
  • DATOSDirection: La dirección (y longitud) a lo largo de la cual las barras deben extenderse. Si el valor es (0,0,0), la dirección se calcula automáticamente desde el objeto estructural del host.
  • DATOSOffset Start: La distancia de desplazamiento entre el borde del objeto estructural y la primera barra.
  • DATOSOffset End: La distancia de desplazamiento entre el borde del objeto estructural y la última barra.
  • DATOSRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • DATOSSpacing: La distancia entre los ejes de cada barra.

Programación

La herramienta Refuerzo de Barras puede utilizarse en macros y desde la consola de python utilizando la siguiente función:

Rebar = makeRebar(baseobj=None, sketch=None, diameter=None, amount=1, offset=None, name="Rebar")
  • Agrega un objeto de barra de refuerzo al objeto estructural dado, usando el boceto dado como perfil.
  • Si no se proporciona ningún diámetro, cantidad o valor de compensación, se aplican los valores predeterminados de las configuraciones de preferencias de Arch.
  • Devuelve el nuevo objeto Rebar.

Ejemplo:

import FreeCAD, Arch, Part

Structure = Arch.makeStructure(None, length=1000, width=1000, height=3000)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(-400, 400, 0)
p2 = FreeCAD.Vector(400, 400, 0)
Sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject', 'Sketch')
Sketch.MapMode = "FlatFace"
Sketch.Support = [(Structure, "Face6")]
Sketch.addGeometry(Part.LineSegment(p1, p2))
FreeCAD.ActiveDocument.recompute()

Rebar = Arch.makeRebar(Structure, Sketch, diameter=80, amount=7, offset=50)
Rebar.OffsetStart = 100
Rebar.OffsetEnd = 100
FreeCAD.ActiveDocument.recompute()